Create new profile version
POST
/api/v1/profiles/{profileId}
const url = 'https://example.com/api/v1/profiles/example';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"workerType":"example","model":"example","reasoningEffort":"example","agentVersion":"example","mcpServers":["example"],"skillRevisions":["example"],"extensions":["example"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/profiles/example \ --header 'Content-Type: application/json' \ --data '{ "workerType": "example", "model": "example", "reasoningEffort": "example", "agentVersion": "example", "mcpServers": [ "example" ], "skillRevisions": [ "example" ], "extensions": [ "example" ] }'Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” profileId
required
string
Request Body
Section titled “Request Body ” Media type application/json
object
workerType
required
string
model
required
string
reasoningEffort
string
agentVersion
string
mcpServers
Array<string>
skillRevisions
Array<string>
extensions
Array<string>
Responses
Section titled “ Responses ”Success
Media type application/json
object
_id
required
string
profileId
required
string
version
required
number
workerType
required
string
model
required
string
reasoningEffort
string
agentVersion
string
mcpServers
Array<string>
skillRevisions
Array<string>
extensions
Array<string>
createdAt
required
string | null format: date-time
projectId
required
string